[next] [prev] [prev-tail] [tail] [up]

#### 5.1.3 Options concerning files and directories

-exxx
  Specify xxx as the directory containing the executables for the programs as (the assembler) and ld (the linker).
-FaXYZ
  load units XYZ after the system unit, but before any other unit is loaded. XYZ is a comma-separated list of unit names. This can only be used for programs, and has the same effect as if XYZ were inserted as the first item in the program’s uses clause.
-FcXXX
  Set the input codepage to XXX. Experimental.
-FCxxx
  Set the RC compiler (resource compiler) binary name to xxx.
-Fd
  Disable the compiler’s internal directory cache. By default, the compiler caches the names of all files in a directory as soon as it looks for a single file in said directory. This ensures that the correct case of all file names is used in the debug information. It also allows to create compiled files with the correct casing when compiling on a case-preserving file systems under an OS that also support case-sensitive file systems. Lastly, it can also increase performance. This feature can however cause severe slowdowns on networked file systems, especially when compiling trivial programs in directories containing many files, and such slowdowns can be addressed by disabling the cache using this switch.
-FD
  Same as -e.
-Fexxx
  Write errors, etc. to the file named xxx.
-FExxx
  Write the executable and units to directory xxx instead of the current directory. If this option contains a path component and is followed by an option -o (see page 104)), then the -o path will override the -FE path setting.
-Ffxxx
  Add xxx to the framework path (only for Darwin).
-Fixxx
  Add xxx to the include file search path.
-Flxxx
  Add xxx to the library search path. (This is also passed to the linker.)
-FLxxx
  (linux only) Use xxx as the dynamic linker. The default is /lib/ld-linux.so.2, or /lib/ld-linux.so.1, depending on which one is found first.
-Fmxxx
  Load the unicode conversion table from file x.txt in the directory where the compiler is located. Only used when -Fc is also in effect.
-Foxxx
  Add xxx to the object file search path. This path is used when looking for files that need to be linked in.
-Frxxx
  Specify xxx as the file which contain the compiler messages. This will override the compiler’s built-in default messages, which are in english.
-FRxxx
  set the resource (.res) linker to xxx.
-Fuxxx
  Add xxx to the unit search path. Units are first searched in the current directory. If they are not found there then the compiler searches them in the unit path. You must always supply the path to the system unit. The xxx path can contain a single wildcard (*) which will be expanded to all possible directory names found at that location. Note that the location itself is not included in the list. See section 3.1.2, page 58 for more information about this option.
-FUxxx
  Write units to directory xxx instead of the current directory. It overrides the -FE option.
-Ixxx
  Add xxx to the include file search path. This option has the same effect as -Fi.
-FWxxx
  store generated Whole Program Optimization information in file xxx.
-Fwxxx
  Read Whole Program Optimization information from file xxx.

[next] [prev] [prev-tail] [front] [up]